#include <bits/stdc++.h>

using namespace std;


int main(){

    ios_base::sync_with_stdio(0);
    cin.tie(0);

    char c1, c2;

    int a1, a2;

    cin >> c1 >> c2 >> a1 >> a2;

    if(a2 > a1){
        int tmp = a1;
        a1 = a2;
        a2 = tmp;
    }

    if(a1 > a2+1) { cout << "nemoguce"; return 0; }

    while(a1+a2 > 0){
        if(a1 > a2) { cout << c1; --a1; }
        else { cout << c2; --a2; }
    }
    return 0;
}